> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment status



## OpenAPI

````yaml /swagger.json get /Payment/{paymentRequestId}/Status
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Payment/{paymentRequestId}/Status:
    get:
      tags:
        - Payment
      parameters:
        - name: paymentRequestId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetPartnerPaymentRequestStatusResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetPartnerPaymentRequestStatusResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetPartnerPaymentRequestStatusResponse'
components:
  schemas:
    GetPartnerPaymentRequestStatusResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/PaymentRequestId'
        status:
          type: string
        amount:
          $ref: '#/components/schemas/Amount'
        creationDate:
          $ref: '#/components/schemas/DateTimeUtc'
        dueDate:
          $ref: '#/components/schemas/DateTimeUtc'
      additionalProperties: false
    PaymentRequestId:
      type: object
      properties:
        value:
          type: string
          format: uuid
          readOnly: true
      additionalProperties: false
    Amount:
      type: object
      properties:
        value:
          type: number
          format: double
        currencyCode:
          $ref: '#/components/schemas/CurrencyCode'
      additionalProperties: false
    DateTimeUtc:
      type: object
      properties:
        value:
          type: string
          format: date-time
      additionalProperties: false
    CurrencyCode:
      type: object
      properties:
        value:
          type: string
          readOnly: true
        displayName:
          type: string
          readOnly: true
        cultureName:
          type: string
          readOnly: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````